# Uses of Interface
org.eclipse.mat.snapshot.model.IClassLoader

Packages that use IClassLoader
Package
Description
org.eclipse.mat.parser.model
The implementation of key snapshot objects such as representing classes, arrays, and objects in the snapshot.
org.eclipse.mat.snapshot.extension
Interfaces that extend the information extracted from heap dumps like threads, name resolvers etc.

## Uses of IClassLoader in org.eclipse.mat.parser.model

Classes in org.eclipse.mat.parser.model that implement IClassLoader
Modifier and Type
Class
Description
`class`
`ClassLoaderImpl`
Implementation of a Java object representing a java.lang.ClassLoader object.

## Uses of IClassLoader in org.eclipse.mat.snapshot.extension

Methods in org.eclipse.mat.snapshot.extension with parameters of type IClassLoader
Modifier and Type
Method
Description
`String`
ITroubleTicketResolver.`resolveByClassLoader(IClassLoader classLoader, IProgressListener listener)`
Return a proposal for the component (e.g.